=== debian/changelog ===
ros-iron-rtabmap-sync (0.21.2-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Sat, 05 Aug 2023 22:23:36 -0000
