=== debian/control ===
Source: ros-iron-rtabmap-sync
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-ros, ros-iron-cv-bridge, ros-iron-image-transport, ros-iron-message-filters, ros-iron-nav-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtabmap-conversions, ros-iron-rtabmap-msgs, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rtabmap-sync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-cv-bridge, ros-iron-image-transport, ros-iron-message-filters, ros-iron-nav-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtabmap-conversions, ros-iron-rtabmap-msgs, ros-iron-sensor-msgs, ros-iron-ros-workspace
Description: RTAB-Map's synchronization package.
